SoPointLight(3)

NAME
SoPointLight - The SoPointLight class is a node type for light sources.

SYNOPSIS

#include <Inventor/nodes/SoPointLight.h>

Inherits SoLight.

Inherited by SoPointLightManip.

  Public Member Functions
virtual SoType getTypeId (void) const
SoPointLight (void)
virtual void GLRender (SoGLRenderAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoSFVec3f location

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoPointLight ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoPointLight class is a node type for light sources. Point lights emits light equally in all directions from a specified 3D location.

See also documentation of parent class for important information regarding light sources in general.

FILE FORMAT/DEFAULTS:

PointLight {
    on TRUE
    intensity 1
    color 1 1 1
    location 0 0 1
}

Constructor & Destructor Documentation

  SoPointLight::SoPointLight (void)
Constructor.

  SoPointLight::~SoPointLight () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoPointLight::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoPointLight::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoLight.

Reimplemented in SoPointLightManip.

  const SoFieldData ** SoPointLight::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoPointLight::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoLight.

Reimplemented in SoPointLightManip.

  void SoPointLight::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoNode.

Reimplemented in SoPointLightManip.

Member Data Documentation

  SoSFVec3f SoPointLight::location
3D position of light source. Default value is <0, 0, 1>.

Author

Generated automatically by Doxygen for Coin from the source code.